Subject: Re: [PATCH net-next v1] devlink: Notify eswitch mode changes to devlink monitor

From: Jakub Kicinski <[email-masked]>
Date: Thu, 20 Nov 2025 06:52:23 -0800

On Thu, 20 Nov 2025 13:09:35 +0100 Jiri Pirko wrote:
> Thu, Nov 20, 2025 at 02:56:28AM +0100, [email-masked] wrote:
> >On Wed, 19 Nov 2025 18:59:36 +0200 Parav Pandit wrote:  
> >> When eswitch mode changes, notify such change to the
> >> devlink monitoring process.
> >> 
> >> After this notification, a devlink monitoring process
> >> can see following output:
> >> 
> >> $ devlink mon
> >> [eswitch,get] pci/0000:06:00.0: mode switchdev inline-mode none encap-mode basic
> >> [eswitch,get] pci/0000:06:00.0: mode legacy inline-mode none encap-mode basic
> >> 
> >> Reviewed-by: Jiri Pirko <[email-masked]>  
> >
> >Jiri, did you have a chance to re-review this or the tag is stale?  
> 
> Nope, I reviewed internally, that's why the tag was taken.
> 
> >I have a slight preference for a new command ID here but if you
> >think GET is fine then so be it.  
> 
> Well, For the rest of the notifications, we have NEW/DEL commands.
> However in this case, as "eswitch" is somehow a subobject, there is no
> NEW/DEL value defined. I'm fine with using GET for notifications for it.
> I'm also okay with adding new ID, up to you.

Let's add a DEVLINK_CMD_ESWITCH_NTF. Having a separate ID makes it
easier / possible to use the same socket for requests and notifications.
-- 
pw-bot: cr